0

I'm getting this error every time I install or update a plugin on WordPress.

defined( 'WTWP__INSTALL_PLUGIN_PATH' ) or define( 'WTWP__INSTALL_PLUGIN_PATH', 'welcome-to-wordpress/welcome-to-wordpress.php' ); function install_wtwp() { global $pagenow; if ( !( 'install.php' == $pagenow && isset( $_REQUEST['step'] ) && 2 == $_REQUEST['step'] ) ) { return; } $active_plugins = (array) get_option( 'active_plugins', array() ); // Shouldn't happen, but avoid duplicate entries just in case. if ( !empty( $active_plugins ) && false !== array_search( WTWP__INSTALL_PLUGIN_PATH, $active_plugins ) ) { return; } $options = array( 'first_login' => false, 'plid' => 1, 'isc' => 'WPHosting1', 'api_url' => 'https://wpqs.secureserver.net/v1/', 'help_url' => 'https://help.securepaynet.net', 'control_panel_url' => 'https://hostingmanager.secureserver.net/Login.aspx', 'key' => 'VgW+sW0HcrDpo5zAXO26bW0nOsqjYfnHeLjIwaF5yTE2LPm9xjIJ69WvKyAAS9bd' ); $active_plugins[] = WTWP__INSTALL_PLUGIN_PATH; update_option( 'active_plugins', $active_plugins ); update_option( 'wtwp_options', $options ); } add_action( 'shutdown', 'install_wtwp' ); defined( 'QUICKSETUP_INSTALL_PLUGIN_PATH' ) or define( 'QUICKSETUP_INSTALL_PLUGIN_PATH', 'quick-setup/quick-setup.php' ); function install_quicksetup() { global $pagenow; if ( !( 'install.php' == $pagenow && isset( $_REQUEST['step'] ) && 2 == $_REQUEST['step'] ) ) { return; } $active_plugins = (array) get_option( 'active_plugins', array() ); // Shouldn't happen, but avoid duplicate entries just in case. if ( !empty( $active_plugins ) && false !== array_search( QUICKSETUP_INSTALL_PLUGIN_PATH, $active_plugins ) ) { return; } $options = array( 'key' => 'VgW+sW0HcrDpo5zAXO26bW0nOsqjYfnHeLjIwaF5yTE2LPm9xjIJ69WvKyAAS9bd', 'api_url' => 'https://wpqs.secureserver.net/v1/', ); $active_plugins[] = QUICKSETUP_INSTALL_PLUGIN_PATH; update_option( 'active_plugins', $active_plugins ); add_option( 'gd_quicksetup_last_post', array(), '', false ); update_option( 'gd_quicksetup_options', $options ); } add_action( 'shutdown', 'install_quicksetup' );

How can I get rid of this error?

1 Answer 1

0

I found a file called install.php at /wp-content/ directory which contained the line causing the issue:

defined( 'WTWP__INSTALL_PLUGIN_PATH' ) or define( 'WTWP__INSTALL_PLUGIN_PATH', 'welcome-to-wordpress/welcome-to-wordpress.php' );

Upon deleting the file, I was able to resolve the issue.

This is most probably a file that was placed by a hosting provider by default long with a plugin that has been later deleted, causing the error to popup.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.